Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1
Class CDMSMEDICATIONTYPE

    java.lang.Object
      be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDMSMEDICATIONTYPE

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2021-04-20T04:22:38+02:00",
               comments="JAXB RI v2.2.11")
    public class CDMSMEDICATIONTYPE

extends Object
implements Serializable

Java class for CD-MS-MEDICATIONTYPE complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CD-MS-MEDICATIONTYPE">
       <simpleContent>
         <extension base="<http://www.ehealth.fgov.be/standards/kmehr/cd/v1>CD-MS-MEDICATIONTYPEvalues">
           <attribute name="S" use="required" type="{http://www.w3.org/2001/XMLSchema}string" fixed="CD-MS-MEDICATIONTYPE" />
           <attribute name="SV" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="SL" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="DN" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="L" type="{http://www.w3.org/2001/XMLSchema}language" default="en" />
         </extension>
       </simpleContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`CDMSMEDICATIONTYPE()`

Method Summary
`String` | `getDN()` Gets the value of the dn property.
`String` | `getL()` Gets the value of the l property.
`String` | `getS()` Gets the value of the s property.
`String` | `getSL()` Gets the value of the sl property.
`String` | `getSV()` Gets the value of the sv property.
`CDMSMEDICATIONTYPEvalues` | `getValue()` Gets the value of the value property.
`void` | `setDN(String value)` Sets the value of the dn property.
`void` | `setL(String value)` Sets the value of the l property.
`void` | `setS(String value)` Sets the value of the s property.
`void` | `setSL(String value)` Sets the value of the sl property.
`void` | `setSV(String value)` Sets the value of the sv property.
`void` | `setValue(CDMSMEDICATIONTYPEvalues value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CDMSMEDICATIONTYPE

    public CDMSMEDICATIONTYPE()

Method Detail

### getValue

    public CDMSMEDICATIONTYPEvalues getValue()

  Gets the value of the value property.

  Returns:
    possible object is `CDMSMEDICATIONTYPEvalues`

### setValue

    public void setValue(CDMSMEDICATIONTYPEvalues value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is `CDMSMEDICATIONTYPEvalues`

### getS

    public String getS()

  Gets the value of the s property.

  Returns:
    possible object is `String`

### setS

    public void setS(String value)

  Sets the value of the s property.

  Parameters:
    `value` - allowed object is `String`

### getSV

    public String getSV()

  Gets the value of the sv property.

  Returns:
    possible object is `String`

### setSV

    public void setSV(String value)

  Sets the value of the sv property.

  Parameters:
    `value` - allowed object is `String`

### getSL

    public String getSL()

  Gets the value of the sl property.

  Returns:
    possible object is `String`

### setSL

    public void setSL(String value)

  Sets the value of the sl property.

  Parameters:
    `value` - allowed object is `String`

### getDN

    public String getDN()

  Gets the value of the dn property.

  Returns:
    possible object is `String`

### setDN

    public void setDN(String value)

  Sets the value of the dn property.

  Parameters:
    `value` - allowed object is `String`

### getL

    public String getL()

  Gets the value of the l property.

  Returns:
    possible object is `String`

### setL

    public void setL(String value)

  Sets the value of the l property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSNURSE 3.21.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.